GNU logs - #44874, boring messages


Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#44874: 27.1; nXML: error when setting the xhtml5.rnc schema
Resent-From: Vincent Lefevre <vincent@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Wed, 25 Nov 2020 20:37:01 +0000
Resent-Message-ID: <handler.44874.B.1606336596851 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: report 44874
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: 44874 <at> debbugs.gnu.org
X-Debbugs-Original-To: bug-gnu-emacs@HIDDEN
Received: via spool by submit <at> debbugs.gnu.org id=B.1606336596851
          (code B ref -1); Wed, 25 Nov 2020 20:37:01 +0000
Received: (at submit) by debbugs.gnu.org; 25 Nov 2020 20:36:36 +0000
Received: from localhost ([127.0.0.1]:37233 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ki1Wl-0000Df-PW
	for submit <at> debbugs.gnu.org; Wed, 25 Nov 2020 15:36:36 -0500
Received: from lists.gnu.org ([209.51.188.17]:38682)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <vincent@HIDDEN>) id 1ki1Wk-0000DX-8S
 for submit <at> debbugs.gnu.org; Wed, 25 Nov 2020 15:36:34 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10]:48030)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <vincent@HIDDEN>)
 id 1ki1Wk-0000m5-1b
 for bug-gnu-emacs@HIDDEN; Wed, 25 Nov 2020 15:36:34 -0500
Received: from joooj.vinc17.net ([155.133.131.76]:53918)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <vincent@HIDDEN>)
 id 1ki1Wh-0004kp-SR
 for bug-gnu-emacs@HIDDEN; Wed, 25 Nov 2020 15:36:33 -0500
Received: from smtp-zira.vinc17.net (128.119.75.86.rev.sfr.net [86.75.119.128])
 by joooj.vinc17.net (Postfix) with ESMTPSA id 3D628500;
 Wed, 25 Nov 2020 21:36:22 +0100 (CET)
Received: by zira.vinc17.org (Postfix, from userid 1000)
 id DC07DC2003B; Wed, 25 Nov 2020 21:36:21 +0100 (CET)
From: Vincent Lefevre <vincent@HIDDEN>
Date: Wed, 25 Nov 2020 21:36:21 +0100
Message-ID: <87r1ohmawq.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
Received-SPF: none client-ip=155.133.131.76; envelope-from=vincent@HIDDEN;
 helo=joooj.vinc17.net
X-Spam_score_int: -18
X-Spam_score: -1.9
X-Spam_bar: -
X-Spam_report: (-1.9 / 5.0 requ) BAYES_00=-1.9, SPF_HELO_NONE=0.001,
 SPF_NONE=0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -2.3 (--)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)


Create a file foo.xml containing: <root></root>

Then type "emacs -Q foo.xml", and in the XML menu,
Set Schema =E2=86=92 File..., and select xhtml5.rnc, which
can be obtained here:

  https://github.com/emacsmirror/html5-schema

(described as "Add HTML5 schemas for use by nXML").
I get the following error:

Incorrect schema. Unknown datatype library http://whattf.org/datatype-draft


In GNU Emacs 27.1 (build 1, x86_64-pc-linux-gnu, GTK+ Version 3.24.23, cair=
o version 1.16.0)
 of 2020-11-08, modified by Debian built on x86-ubc-01
Windowing system distributor 'The X.Org Foundation', version 11.0.12009000
System Description: Debian GNU/Linux bullseye/sid

Recent messages:
Loading /etc/emacs/site-start.d/50latex-cjk-common.el (source)...done
Loading /etc/emacs/site-start.d/50latex-cjk-thai.el (source)...done
Loading /etc/emacs/site-start.d/50latexmk.el (source)...done
Loading /etc/emacs/site-start.d/50maxima-emacs.el (source)...done
Loading /etc/emacs/site-start.d/50psvn.el (source)...done
Loading /etc/emacs/site-start.d/50texlive-lang-english.el (source)...done
Loading /etc/emacs/site-start.d/50why3.el (source)...done
Loading /home/vinc17/share/emacs/site-lisp/mutteditor.el (source)...done
Loading time...done
For information about GNU Emacs and the GNU system, type C-h C-a.

Configured using:
 'configure --build x86_64-linux-gnu --prefix=3D/usr
 --sharedstatedir=3D/var/lib --libexecdir=3D/usr/lib
 --localstatedir=3D/var/lib --infodir=3D/usr/share/info
 --mandir=3D/usr/share/man --enable-libsystemd --with-pop=3Dyes
 --enable-locallisppath=3D/etc/emacs:/usr/local/share/emacs/27.1/site-lisp:=
/usr/local/share/emacs/site-lisp:/usr/share/emacs/27.1/site-lisp:/usr/share=
/emacs/site-lisp
 --with-sound=3Dalsa --without-gconf --with-mailutils --build
 x86_64-linux-gnu --prefix=3D/usr --sharedstatedir=3D/var/lib
 --libexecdir=3D/usr/lib --localstatedir=3D/var/lib
 --infodir=3D/usr/share/info --mandir=3D/usr/share/man --enable-libsystemd
 --with-pop=3Dyes
 --enable-locallisppath=3D/etc/emacs:/usr/local/share/emacs/27.1/site-lisp:=
/usr/local/share/emacs/site-lisp:/usr/share/emacs/27.1/site-lisp:/usr/share=
/emacs/site-lisp
 --with-sound=3Dalsa --without-gconf --with-mailutils --with-cairo
 --with-x=3Dyes --with-x-toolkit=3Dgtk3 --with-toolkit-scroll-bars
 'CFLAGS=3D-g -O2 -fdebug-prefix-map=3D/build/emacs-6jKC2B/emacs-27.1+1=3D.
 -fstack-protector-strong -Wformat -Werror=3Dformat-security -Wall'
 'CPPFLAGS=3D-Wdate-time -D_FORTIFY_SOURCE=3D2' LDFLAGS=3D-Wl,-z,relro'

Configured features:
XPM JPEG TIFF GIF PNG RSVG CAIRO SOUND GPM DBUS GSETTINGS GLIB NOTIFY
INOTIFY ACL LIBSELINUX GNUTLS LIBXML2 FREETYPE HARFBUZZ M17N_FLT LIBOTF
ZLIB TOOLKIT_SCROLL_BARS GTK3 X11 XDBE XIM MODULES THREADS LIBSYSTEMD
JSON PDUMPER LCMS2 GMP

Important settings:
  value of $LC_COLLATE: POSIX
  value of $LC_CTYPE: C.UTF-8
  value of $LC_TIME: en_DK.utf8
  value of $LANG: POSIX
  locale-coding-system: utf-8-unix

Major mode: Lisp Interaction

Minor modes in effect:
  display-time-mode: t
  show-paren-mode: t
  tooltip-mode: t
  global-eldoc-mode: t
  eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  column-number-mode: t
  line-number-mode: t
  transient-mark-mode: t

Load-path shadows:
/usr/share/emacs/site-lisp/llvm-10/tablegen-mode hides /usr/share/emacs/sit=
e-lisp/llvm-3.5/tablegen-mode
/usr/share/emacs/site-lisp/llvm-10/llvm-mode hides /usr/share/emacs/site-li=
sp/llvm-3.5/llvm-mode
/usr/share/emacs/site-lisp/llvm-10/emacs hides /usr/share/emacs/site-lisp/l=
lvm-3.5/emacs
/usr/share/emacs/site-lisp/llvm-10/tablegen-mode hides /usr/share/emacs/sit=
e-lisp/llvm-3.6/tablegen-mode
/usr/share/emacs/site-lisp/llvm-10/llvm-mode hides /usr/share/emacs/site-li=
sp/llvm-3.6/llvm-mode
/usr/share/emacs/site-lisp/llvm-10/emacs hides /usr/share/emacs/site-lisp/l=
lvm-3.6/emacs
/usr/share/emacs/site-lisp/llvm-10/tablegen-mode hides /usr/share/emacs/sit=
e-lisp/llvm-3.7/tablegen-mode
/usr/share/emacs/site-lisp/llvm-10/llvm-mode hides /usr/share/emacs/site-li=
sp/llvm-3.7/llvm-mode
/usr/share/emacs/site-lisp/llvm-10/emacs hides /usr/share/emacs/site-lisp/l=
lvm-3.7/emacs
/usr/share/emacs/site-lisp/llvm-10/tablegen-mode hides /usr/share/emacs/sit=
e-lisp/llvm-7/tablegen-mode
/usr/share/emacs/site-lisp/llvm-10/llvm-mode hides /usr/share/emacs/site-li=
sp/llvm-7/llvm-mode
/usr/share/emacs/site-lisp/llvm-10/emacs hides /usr/share/emacs/site-lisp/l=
lvm-7/emacs
/usr/share/emacs/site-lisp/llvm-10/tablegen-mode hides /usr/share/emacs/sit=
e-lisp/llvm-8/tablegen-mode
/usr/share/emacs/site-lisp/llvm-10/llvm-mode hides /usr/share/emacs/site-li=
sp/llvm-8/llvm-mode
/usr/share/emacs/site-lisp/llvm-10/emacs hides /usr/share/emacs/site-lisp/l=
lvm-8/emacs
/usr/share/emacs/site-lisp/llvm-10/tablegen-mode hides /usr/share/emacs/sit=
e-lisp/llvm-9/tablegen-mode
/usr/share/emacs/site-lisp/llvm-10/llvm-mode hides /usr/share/emacs/site-li=
sp/llvm-9/llvm-mode
/usr/share/emacs/site-lisp/llvm-10/emacs hides /usr/share/emacs/site-lisp/l=
lvm-9/emacs
/usr/share/emacs/site-lisp/latex-cjk-thai/thai-word hides /usr/share/emacs/=
27.1/lisp/language/thai-word

Features:
(shadow sort mail-extr warnings emacsbug message rmc puny dired
dired-loaddefs format-spec rfc822 mml easymenu mml-sec password-cache
epa derived epg epg-config gnus-util rmail rmail-loaddefs
text-property-search time-date subr-x seq byte-opt gv bytecomp
byte-compile cconv mm-decode mm-bodies mm-encode mail-parse rfc2231
mailabbrev gmm-utils mailheader sendmail rfc2047 rfc2045 ietf-drums
mm-util mail-prsvr mail-utils time cus-start cus-load paren cc-styles
cc-align cc-engine cc-vars cc-defs edmacro kmacro cl-loaddefs cl-lib
tooltip eldoc electric uniquify ediff-hook vc-hooks lisp-float-type
mwheel term/x-win x-win term/common-win x-dnd tool-bar dnd fontset image
regexp-opt fringe tabulated-list replace newcomment text-mode elisp-mode
lisp-mode prog-mode register page tab-bar menu-bar rfn-eshadow isearch
timer select scroll-bar mouse jit-lock font-lock syntax facemenu
font-core term/tty-colors frame minibuffer cl-generic cham georgian
utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao korean
japanese eucjp-ms cp51932 hebrew greek romanian slovak czech european
ethiopic indian cyrillic chinese composite charscript charprop
case-table epa-hook jka-cmpr-hook help simple abbrev obarray
cl-preloaded nadvice loaddefs button faces cus-face macroexp files
text-properties overlay sha1 md5 base64 format env code-pages mule
custom widget hashtable-print-readable backquote threads dbusbind
inotify lcms2 dynamic-setting system-font-setting font-render-setting
cairo move-toolbar gtk x-toolkit x multi-tty make-network-process emacs)

Memory information:
((conses 16 68727 6543)
 (symbols 48 8993 1)
 (strings 32 22350 2450)
 (string-bytes 1 715680)
 (vectors 16 8360)
 (vector-slots 8 108969 6652)
 (floats 8 26 28)
 (intervals 56 260 0)
 (buffers 1000 12))




Message sent:


Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable
MIME-Version: 1.0
X-Mailer: MIME-tools 5.505 (Entity 5.505)
Content-Type: text/plain; charset=utf-8
X-Loop: help-debbugs@HIDDEN
From: help-debbugs@HIDDEN (GNU bug Tracking System)
To: Vincent Lefevre <vincent@HIDDEN>
Subject: bug#44874: Acknowledgement (27.1; nXML: error when setting the
 xhtml5.rnc schema)
Message-ID: <handler.44874.B.1606336596851.ack <at> debbugs.gnu.org>
References: <87r1ohmawq.fsf@HIDDEN>
X-Gnu-PR-Message: ack 44874
X-Gnu-PR-Package: emacs
Reply-To: 44874 <at> debbugs.gnu.org
Date: Wed, 25 Nov 2020 20:37:01 +0000

Thank you for filing a new bug report with debbugs.gnu.org.

This is an automatically generated reply to let you know your message
has been received.

Your message is being forwarded to the package maintainers and other
interested parties for their attention; they will reply in due course.

Your message has been sent to the package maintainer(s):
 bug-gnu-emacs@HIDDEN

If you wish to submit further information on this problem, please
send it to 44874 <at> debbugs.gnu.org.

Please do not send mail to help-debbugs@HIDDEN unless you wish
to report a problem with the Bug-tracking system.

--=20
44874: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=3D44874
GNU Bug Tracking System
Contact help-debbugs@HIDDEN with problems


Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#44874: 27.1; nXML: error when setting the xhtml5.rnc schema
Resent-From: Lars Ingebrigtsen <larsi@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Thu, 26 Nov 2020 10:44:02 +0000
Resent-Message-ID: <handler.44874.B44874.160638740914967 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 44874
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Vincent Lefevre <vincent@HIDDEN>
Cc: 44874 <at> debbugs.gnu.org
Received: via spool by 44874-submit <at> debbugs.gnu.org id=B44874.160638740914967
          (code B ref 44874); Thu, 26 Nov 2020 10:44:02 +0000
Received: (at 44874) by debbugs.gnu.org; 26 Nov 2020 10:43:29 +0000
Received: from localhost ([127.0.0.1]:38596 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kiEkK-0003tJ-R7
	for submit <at> debbugs.gnu.org; Thu, 26 Nov 2020 05:43:29 -0500
Received: from quimby.gnus.org ([95.216.78.240]:48380)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1kiEkI-0003t2-Si
 for 44874 <at> debbugs.gnu.org; Thu, 26 Nov 2020 05:43:27 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Transfer-Encoding:Content-Type:MIME-Version:Message-ID
 :In-Reply-To:Date:References:Subject:Cc:To:From:Sender:Reply-To:Content-ID:
 Content-Description:Resent-Date:Resent-From:Resent-Sender:Resent-To:Resent-Cc
 :Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:List-Subscribe:
 List-Post:List-Owner:List-Archive;
 bh=Uv+MhW1M2UKXnrkWRyPQ0p4QVw75DzVxohApk08EVP0=; b=SQdzwZxrBo0BJh1lDG0dwIZBkP
 5kiWzEGyJCXBa/Rbu2m+099Xzzjhl3Dv5fFlzVnEj51k23OnwA1FYnQx20zc1XRDpipe9c+8jW0ak
 9Gzn54AGeiNvs2mh1bVKCoJ88S/69QS4+jw1YgnFu0aGiKYe3f9JLfGnw7QYYiHR3/bw=;
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1kiEkA-0000OF-0G; Thu, 26 Nov 2020 11:43:20 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
References: <87r1ohmawq.fsf@HIDDEN>
X-Now-Playing: The Human League's _Dare_: "I Am The Law"
Date: Thu, 26 Nov 2020 11:43:17 +0100
In-Reply-To: <87r1ohmawq.fsf@HIDDEN> (Vincent Lefevre's message of
 "Wed, 25 Nov 2020 21:36:21 +0100")
Message-ID: <87a6v4xut6.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 
 Content preview:  Vincent Lefevre <vincent@HIDDEN> writes: > Create a file
    foo.xml containing: <root></root> > > Then type "emacs -Q foo.xml", and in
    the XML menu, > Set Schema =?UTF-8?Q?=E2=86=92?= File..., and select xhtml5.rnc, which > can
    be obtained here: > > https://gith [...] 
 
 Content analysis details:   (-2.9 points, 5.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
                             [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Vincent Lefevre <vincent@HIDDEN> writes:

> Create a file foo.xml containing: <root></root>
>
> Then type "emacs -Q foo.xml", and in the XML menu,
> Set Schema =E2=86=92 File..., and select xhtml5.rnc, which
> can be obtained here:
>
>   https://github.com/emacsmirror/html5-schema
>
> (described as "Add HTML5 schemas for use by nXML").
> I get the following error:
>
> Incorrect schema. Unknown datatype library http://whattf.org/datatype-dra=
ft

I'm unable to reproduce this bug in Emacs 27.2 and Emacs 28.

Here's what I did:

cd /tmp
git clone https://github.com/emacsmirror/html5-schema
emacs -Q foo.xml
M-x rng-set-schema-file RET /tmp/html5-schema/xhtml5.rnc RET

It asks me whether to save the location, and I answer "y", and I get no
error.

Do you have a more precise recipe for reproducing the error?

--=20
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Message received at control <at> debbugs.gnu.org:


Received: (at control) by debbugs.gnu.org; 26 Nov 2020 10:43:36 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Nov 26 05:43:36 2020
Received: from localhost ([127.0.0.1]:38599 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kiEkS-0003tg-3W
	for submit <at> debbugs.gnu.org; Thu, 26 Nov 2020 05:43:36 -0500
Received: from quimby.gnus.org ([95.216.78.240]:48394)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1kiEkQ-0003tM-AT
 for control <at> debbugs.gnu.org; Thu, 26 Nov 2020 05:43:34 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Subject:From:To:Message-Id:Date:Sender:Reply-To:Cc:
 MIME-Version:Content-Type:Content-Transfer-Encoding:Content-ID:
 Content-Description:Resent-Date:Resent-From:Resent-Sender:Resent-To:Resent-Cc
 :Resent-Message-ID:In-Reply-To:References:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=i5mi81W87+US+DsOM0CxYtQ2U8GsY0bDWtQgghHDR00=; b=oZiMz6clEbS2UaErcaJYp5zB8u
 QOn8bHqjz9y7v2SicDGvkDIwglCNQpHNp76L3vQ9FvOwKI2raDPMcY8B9c6XOZ6NH2UN+P3jDEx5o
 9tiVj6k8KxPZxQ1yvWNvsMCv8z9+Xnc6iWlXtNyCvOwmSz16O8HZzf2vdA2EnwAck2ns=;
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>) id 1kiEkI-0000OM-MB
 for control <at> debbugs.gnu.org; Thu, 26 Nov 2020 11:43:28 +0100
Date: Thu, 26 Nov 2020 11:43:25 +0100
Message-Id: <878saoxusy.fsf@HIDDEN>
To: control <at> debbugs.gnu.org
From: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: control message for bug #44874
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  tags 44874 + moreinfo quit 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: control
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

tags 44874 + moreinfo
quit





Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#44874: 27.1; nXML: error when setting the xhtml5.rnc schema
Resent-From: Vincent Lefevre <vincent@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Thu, 26 Nov 2020 15:03:02 +0000
Resent-Message-ID: <handler.44874.B44874.16064029575087 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 44874
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: moreinfo
To: Lars Ingebrigtsen <larsi@HIDDEN>
Cc: 44874 <at> debbugs.gnu.org
Received: via spool by 44874-submit <at> debbugs.gnu.org id=B44874.16064029575087
          (code B ref 44874); Thu, 26 Nov 2020 15:03:02 +0000
Received: (at 44874) by debbugs.gnu.org; 26 Nov 2020 15:02:37 +0000
Received: from localhost ([127.0.0.1]:42428 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kiIn7-0001Jz-7o
	for submit <at> debbugs.gnu.org; Thu, 26 Nov 2020 10:02:37 -0500
Received: from joooj.vinc17.net ([155.133.131.76]:43514)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <vincent@HIDDEN>) id 1kiIn5-0001Jr-L9
 for 44874 <at> debbugs.gnu.org; Thu, 26 Nov 2020 10:02:36 -0500
Received: from smtp-zira.vinc17.net (128.119.75.86.rev.sfr.net [86.75.119.128])
 by joooj.vinc17.net (Postfix) with ESMTPSA id 4766B2F6;
 Thu, 26 Nov 2020 16:02:34 +0100 (CET)
Received: by zira.vinc17.org (Postfix, from userid 1000)
 id E9DECC20038; Thu, 26 Nov 2020 16:02:33 +0100 (CET)
Date: Thu, 26 Nov 2020 16:02:33 +0100
From: Vincent Lefevre <vincent@HIDDEN>
Message-ID: <20201126150233.GW29329@HIDDEN>
References: <87r1ohmawq.fsf@HIDDEN>
 <87a6v4xut6.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: 8bit
In-Reply-To: <87a6v4xut6.fsf@HIDDEN>
X-Mailer-Info: https://www.vinc17.net/mutt/
User-Agent: Mutt/1.14.5+76 (bb407ec3) vl-127292 (2020-06-24)
X-Spam-Score: 0.0 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On 2020-11-26 11:43:17 +0100, Lars Ingebrigtsen wrote:
> Here's what I did:
> 
> cd /tmp
> git clone https://github.com/emacsmirror/html5-schema
> emacs -Q foo.xml
> M-x rng-set-schema-file RET /tmp/html5-schema/xhtml5.rnc RET
> 
> It asks me whether to save the location, and I answer "y", and I get no
> error.

OK, there seems to be a difference when doing that instead of using
the menu. BTW, after saving the location, if you quit and reopen
the file, you should now get the error message.

> Do you have a more precise recipe for reproducing the error?

If you don't get the error message, just make sure to validate
with "C-c C-v". This is what makes the error appear.

Note: After that, if I select Set Schema → Any Well-Formed XML
from the menu, I get "Using vacuous schema", which is fine.
But C-c C-v still gives the error "Incorrect schema. Unknown
datatype library http://whattf.org/datatype-draft"!

This is with Debian's GNU Emacs 27.1.

Note: it is possible to reproduce the issue from an empty XML file,
but after the schema is selected, one needs to type the beginning of
an element, e.g. "<r". Otherwise nXML knows that the file is invalid
without using the schema.

-- 
Vincent Lefèvre <vincent@HIDDEN> - Web: <https://www.vinc17.net/>
100% accessible validated (X)HTML - Blog: <https://www.vinc17.net/blog/>
Work: CR INRIA - computer arithmetic / AriC project (LIP, ENS-Lyon)




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#44874: 27.1; nXML: error when setting the xhtml5.rnc schema
Resent-From: Lars Ingebrigtsen <larsi@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Fri, 27 Nov 2020 08:10:02 +0000
Resent-Message-ID: <handler.44874.B44874.16064645656128 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 44874
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: moreinfo
To: Vincent Lefevre <vincent@HIDDEN>
Cc: 44874 <at> debbugs.gnu.org
Received: via spool by 44874-submit <at> debbugs.gnu.org id=B44874.16064645656128
          (code B ref 44874); Fri, 27 Nov 2020 08:10:02 +0000
Received: (at 44874) by debbugs.gnu.org; 27 Nov 2020 08:09:25 +0000
Received: from localhost ([127.0.0.1]:43797 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kiYon-0001ak-KL
	for submit <at> debbugs.gnu.org; Fri, 27 Nov 2020 03:09:25 -0500
Received: from quimby.gnus.org ([95.216.78.240]:58866)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1kiYom-0001aX-1v
 for 44874 <at> debbugs.gnu.org; Fri, 27 Nov 2020 03:09:25 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=pTSlsTrlW6+ZHMazc25s3Yl4KodiCKjM7waWYkJW1x4=; b=r7jXKXXDfRvD76RI8yWBDRLSJn
 RAQQfU+s9wTOauwDWLSZsfE2HTM8tLxJT1LgMdCfH1T/AzFhEY6+LYcyc7mAw+uI2JerrR73oaRLr
 xoehtGLoRqJFobX+VFFoE0rTGjK3PVOuYzWnLDRSsMt/w+RLn61nMzJxObZMHB+rq+9c=;
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1kiYoc-000537-4N; Fri, 27 Nov 2020 09:09:17 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
References: <87r1ohmawq.fsf@HIDDEN> <87a6v4xut6.fsf@HIDDEN>
 <20201126150233.GW29329@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwAgMAAAAqbBEUAAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAADFBMVEUdGBaCYm9UPET/
 ///ZTkq4AAAAAWJLR0QDEQxM8gAAAAd0SU1FB+QLGwcuDy8+EIMAAAFTSURBVCjPjVFNa8JAEJ2G
 BrZ7riX0tIS2rPMrRFDoLQUToicpKI2/Yl1U0hwLSuxpWRC2+ysbk2xs6aVzmrdv9r35APgTAYg2
 8+LhTA8cmGTjfld0t09OrgziTF93jA6FP7+oEQZSFHVKOQnzkNkGKAxz1KwWITwMCecNAFKZCaZa
 ASVpJ+Yht9vOljO17ZgCceNyTxeFI9bppRePPlG+ds0VnJorN93TPTVrV3dTKtKm1haUUmEUmYOf
 LQ7JcqmzeFtCPB8douhgp/4ugpMc96J0gs/+7hb8dJQuRvEwmU1rb1MZdy3EVPho2nb6L4D7HBvg
 SzgmRdCAzSscezlzcwIL63XQgVFKK5BYfSIP1ZiI+Uf1AJ6xqxX9zK0oz3ayYji+nxkQlnqagMfR
 nQQ4N/X1UFhWlX7VW3gUlksr38raCc6MVEH7B7ngIoAf8Qv8O74Bmr1iBcXp8PAAAAAldEVYdGRh
 dGU6Y3JlYXRlADIwMjAtMTEtMjdUMDc6NDY6MTUrMDA6MDDJ+p/6AAAAJXRFWHRkYXRlOm1vZGlm
 eQAyMDIwLTExLTI3VDA3OjQ2OjE1KzAwOjAwuKcnRgAAAABJRU5ErkJggg==
X-Now-Playing: Hugo Esquinca's _SHAPE Wire CD'2020_:
 "DAN?OREGISTRADOPARAPROMOCIO?NE"
Date: Fri, 27 Nov 2020 09:09:12 +0100
In-Reply-To: <20201126150233.GW29329@HIDDEN> (Vincent Lefevre's
 message of "Thu, 26 Nov 2020 16:02:33 +0100")
Message-ID: <87czzzkyqf.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Vincent Lefevre <vincent@HIDDEN> writes: > OK,
 there seems
 to be a difference when doing that instead of using > the menu. That sounds
 really odd, because the menu is just calling that command. 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Vincent Lefevre <vincent@HIDDEN> writes:

> OK, there seems to be a difference when doing that instead of using
> the menu.

That sounds really odd, because the menu is just calling that command.

> BTW, after saving the location, if you quit and reopen
> the file, you should now get the error message.
>
>> Do you have a more precise recipe for reproducing the error?
>
> If you don't get the error message, just make sure to validate
> with "C-c C-v". This is what makes the error appear.

Ah, yes, now I'm able to reproduce the problem -- the missing piece for
reproduction here was that the .xml file couldn't be empty.

But isn't the problem here that these .rnc files are just old and
outdated, and refers to datatype libraries that no longer exists?

As https://bugs.launchpad.net/nxhtml/+bug/1194670 says:

> That link to the datatype-draft doesn't exist anymore. I get the feeling
> these .rnc files are pretty old.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#44874: 27.1; nXML: error when setting the xhtml5.rnc schema
Resent-From: Vincent Lefevre <vincent@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Fri, 27 Nov 2020 09:00:01 +0000
Resent-Message-ID: <handler.44874.B44874.160646754819310 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 44874
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: moreinfo
To: Lars Ingebrigtsen <larsi@HIDDEN>
Cc: 44874 <at> debbugs.gnu.org
Received: via spool by 44874-submit <at> debbugs.gnu.org id=B44874.160646754819310
          (code B ref 44874); Fri, 27 Nov 2020 09:00:01 +0000
Received: (at 44874) by debbugs.gnu.org; 27 Nov 2020 08:59:08 +0000
Received: from localhost ([127.0.0.1]:43930 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kiZau-00051O-A3
	for submit <at> debbugs.gnu.org; Fri, 27 Nov 2020 03:59:08 -0500
Received: from joooj.vinc17.net ([155.133.131.76]:43890)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <vincent@HIDDEN>) id 1kiZaq-00051C-Bs
 for 44874 <at> debbugs.gnu.org; Fri, 27 Nov 2020 03:59:06 -0500
Received: from smtp-zira.vinc17.net (128.119.75.86.rev.sfr.net [86.75.119.128])
 by joooj.vinc17.net (Postfix) with ESMTPSA id BA6CD3BD;
 Fri, 27 Nov 2020 09:59:02 +0100 (CET)
Received: by zira.vinc17.org (Postfix, from userid 1000)
 id 06751C200D3; Fri, 27 Nov 2020 09:59:01 +0100 (CET)
Date: Fri, 27 Nov 2020 09:59:01 +0100
From: Vincent Lefevre <vincent@HIDDEN>
Message-ID: <20201127085901.GZ29329@HIDDEN>
References: <87r1ohmawq.fsf@HIDDEN> <87a6v4xut6.fsf@HIDDEN>
 <20201126150233.GW29329@HIDDEN> <87czzzkyqf.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=iso-8859-1
Content-Disposition: inline
Content-Transfer-Encoding: 8bit
In-Reply-To: <87czzzkyqf.fsf@HIDDEN>
X-Mailer-Info: https://www.vinc17.net/mutt/
User-Agent: Mutt/1.14.5+76 (bb407ec3) vl-127292 (2020-06-24)
X-Spam-Score: 0.0 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On 2020-11-27 09:09:12 +0100, Lars Ingebrigtsen wrote:
> But isn't the problem here that these .rnc files are just old and
> outdated, and refers to datatype libraries that no longer exists?

No, it appears that these libraries have never existed:

  https://web.archive.org/web/20130901000000*/http://whattf.org/datatype-draft

says

  Not Found

  The requested URL /whattf/datatype-draft was not found on this server.

  Additionally, a 404 Not Found error was encountered while trying to
  use an ErrorDocument to handle the request.

for any archive date from 2013 to 2020. It seems rather like an
identifier or something used via a catalog, which is no longer
in nXML. And I assume that if other data were needed, they would
have been put in the repository.

The fact that I still get an error after switching the schema to
the vacuous one is also strange.

-- 
Vincent Lefvre <vincent@HIDDEN> - Web: <https://www.vinc17.net/>
100% accessible validated (X)HTML - Blog: <https://www.vinc17.net/blog/>
Work: CR INRIA - computer arithmetic / AriC project (LIP, ENS-Lyon)




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#44874: 27.1; nXML: error when setting the xhtml5.rnc schema
Resent-From: Lars Ingebrigtsen <larsi@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Sun, 29 Nov 2020 10:08:01 +0000
Resent-Message-ID: <handler.44874.B44874.160664446226085 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 44874
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: moreinfo
To: Vincent Lefevre <vincent@HIDDEN>
Cc: 44874 <at> debbugs.gnu.org
Received: via spool by 44874-submit <at> debbugs.gnu.org id=B44874.160664446226085
          (code B ref 44874); Sun, 29 Nov 2020 10:08:01 +0000
Received: (at 44874) by debbugs.gnu.org; 29 Nov 2020 10:07:42 +0000
Received: from localhost ([127.0.0.1]:49754 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kjJcI-0006mc-VH
	for submit <at> debbugs.gnu.org; Sun, 29 Nov 2020 05:07:42 -0500
Received: from quimby.gnus.org ([95.216.78.240]:51682)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1kjJcG-0006mK-Gn
 for 44874 <at> debbugs.gnu.org; Sun, 29 Nov 2020 05:07:37 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=EdPWRiFNAAHNXpX7fjxpLS8jvuAGveQ5uY6UiSBKvIY=; b=VcoRrwLoD3KtST+aGPBdLwPZ/Y
 yn0jIqbu0Uo6HzAx74NBWY6iU9fM1LDGJRCtSfcT2RYq4khmFfGALiHhUbagklnsdWIRPnZ2tqMRV
 TP2QI5ZwHjybnZBH6seIFHqeVv1O0Zg/HoADkc4zB1N6YpxOzualq5NXcEgGBL5bdBWg=;
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1kjJc8-0004FR-8p; Sun, 29 Nov 2020 11:07:30 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
References: <87r1ohmawq.fsf@HIDDEN> <87a6v4xut6.fsf@HIDDEN>
 <20201126150233.GW29329@HIDDEN> <87czzzkyqf.fsf@HIDDEN>
 <20201127085901.GZ29329@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwAgMAAAAqbBEUAAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAADFBMVEWYX16GWlrXyL7/
 //9u4OxpAAAAAWJLR0QDEQxM8gAAAAd0SU1FB+QLHQkrEYezq3MAAAGGSURBVCjPPZHBattAEIZn
 hRWoTq6Ie/ApFAphnkIJOfkkjMYUnXps9RSycUrYUxHJxaeVcMzqf8rOyEoEy+ynf/bfnRkiopWU
 jn4yoHtKpSLa4APKwv2awUn65H6oRAU5J9vzohWFilwh3C/om8JXSssaozp4hQeRBuPScQZalkth
 jAXFLcinRAZJuAUhFApxwW0KindPB31JDrcxKFSAfynZIPO4NBr0npgioFsHoG8ofGnAr2sg0obC
 /QaH56YDpTWFZI3Qc76XiomyDuCXf2QGlF2sLI+pOH4HzsdE9xe64xF4/n1ok9NAAyIjfcwPf7sT
 6W3Ze0FAWNUUAR/shBmArxs/wfzFP67+BIyioIcw6NqLpsXBwOe4MYiDisPRpjClmYHjq1vQpkep
 QI39TeD9SrtTGyzhu7Oe2QJHLd+/2gt2Wg3axL/ZsHRGe27Zv+0M1OE72LeWJipf5ueRbCe4NkR2
 FthP9Yg6oOfTVTGHPa9nUIf+vp5hih/K5JDPUFm0O/EfFb0JCzV+bpUAAAAldEVYdGRhdGU6Y3Jl
 YXRlADIwMjAtMTEtMjlUMDk6NDM6MTcrMDA6MDBiKL+MAAAAJXRFWHRkYXRlOm1vZGlmeQAyMDIw
 LTExLTI5VDA5OjQzOjE3KzAwOjAwE3UHMAAAAABJRU5ErkJggg==
X-Now-Playing: Sir Steady Arobby & His International Brothers Dance Band Of
 Nigeria's _Nigeria 70 (No Wahala: Highlife, Afro-Funk & Juju 1973-1987)_:
 "Onuma Dimnobi"
Date: Sun, 29 Nov 2020 11:07:27 +0100
In-Reply-To: <20201127085901.GZ29329@HIDDEN> (Vincent Lefevre's
 message of "Fri, 27 Nov 2020 09:59:01 +0100")
Message-ID: <87czzwiihs.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Vincent Lefevre <vincent@HIDDEN> writes: > On 2020-11-27
 09:09:12 +0100, Lars Ingebrigtsen wrote: >> But isn't the problem here that
 these .rnc files are just old and >> outdated, and refers to datatype libraries
 that no longer exists? > > N [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Vincent Lefevre <vincent@HIDDEN> writes:

> On 2020-11-27 09:09:12 +0100, Lars Ingebrigtsen wrote:
>> But isn't the problem here that these .rnc files are just old and
>> outdated, and refers to datatype libraries that no longer exists?
>
> No, it appears that these libraries have never existed:
>
>   https://web.archive.org/web/20130901000000*/http://whattf.org/datatype-draft
>
> says
>
>   Not Found
>
>   The requested URL /whattf/datatype-draft was not found on this server.

Well, archive.org doesn't have anything resembling a complete archive of
the net, so that doesn't really mean that much.

In any case, this means that the .rnc files your using are invalid, so
is this a bug in Emacs?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#44874: 27.1; nXML: error when setting the xhtml5.rnc schema
In-Reply-To: <87r1ohmawq.fsf@HIDDEN>
Resent-From: Andy Moreton <andrewjmoreton@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Sun, 29 Nov 2020 12:43:01 +0000
Resent-Message-ID: <handler.44874.B.160665374927157 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 44874
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: moreinfo
To: 44874 <at> debbugs.gnu.org
X-Debbugs-Original-To: bug-gnu-emacs@HIDDEN
Received: via spool by submit <at> debbugs.gnu.org id=B.160665374927157
          (code B ref -1); Sun, 29 Nov 2020 12:43:01 +0000
Received: (at submit) by debbugs.gnu.org; 29 Nov 2020 12:42:29 +0000
Received: from localhost ([127.0.0.1]:49953 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kjM28-00073x-Ts
	for submit <at> debbugs.gnu.org; Sun, 29 Nov 2020 07:42:29 -0500
Received: from lists.gnu.org ([209.51.188.17]:52078)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>)
 id 1kjM27-00073q-NE
 for submit <at> debbugs.gnu.org; Sun, 29 Nov 2020 07:42:28 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10]:60388)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <geb-bug-gnu-emacs@HIDDEN>)
 id 1kjM26-0001Nt-Un
 for bug-gnu-emacs@HIDDEN; Sun, 29 Nov 2020 07:42:27 -0500
Received: from static.214.254.202.116.clients.your-server.de
 ([116.202.254.214]:35014 helo=ciao.gmane.io)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <geb-bug-gnu-emacs@HIDDEN>)
 id 1kjM25-000435-N9
 for bug-gnu-emacs@HIDDEN; Sun, 29 Nov 2020 07:42:26 -0500
Received: from list by ciao.gmane.io with local (Exim 4.92)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>)
 id 1kjM1z-000240-Ju
 for bug-gnu-emacs@HIDDEN; Sun, 29 Nov 2020 13:42:19 +0100
X-Injected-Via-Gmane: http://gmane.org/
From: Andy Moreton <andrewjmoreton@HIDDEN>
Date: Sun, 29 Nov 2020 12:42:13 +0000
Message-ID: <86wny4tjve.fsf@HIDDEN>
References: <87r1ohmawq.fsf@HIDDEN>
Mime-Version: 1.0
Content-Type: text/plain; charset=gb2312
Content-Transfer-Encoding: 8bit
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (windows-nt)
Cancel-Lock: sha1:0eqCcrYmZpSMrwHaHEIZ/hlnQsA=
Received-SPF: pass client-ip=116.202.254.214;
 envelope-from=geb-bug-gnu-emacs@HIDDEN; helo=ciao.gmane.io
X-Spam_score_int: 5
X-Spam_score: 0.5
X-Spam_bar: /
X-Spam_report: (0.5 / 5.0 requ) BAYES_00=-1.9, DKIM_ADSP_CUSTOM_MED=0.001,
 FORGED_GMAIL_RCVD=1, FREEMAIL_FORGED_FROMDOMAIN=0.248, FREEMAIL_FROM=0.001,
 HEADER_FROM_DIFFERENT_DOMAINS=0.248, NML_ADSP_CUSTOM_MED=0.9,
 SPF_HELO_NONE=0.001, SPF_PASS=-0.001 autolearn=no autolearn_force=no
X-Spam_action: no action
X-Spam-Score: 0.1 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.9 (/)

On Wed 25 Nov 2020, Vincent Lefevre wrote:

> Create a file foo.xml containing: <root></root>
>
> Then type "emacs -Q foo.xml", and in the XML menu,
> Set Schema  File..., and select xhtml5.rnc, which
> can be obtained here:
>
>   https://github.com/emacsmirror/html5-schema
>
> (described as "Add HTML5 schemas for use by nXML").
> I get the following error:
>
> Incorrect schema. Unknown datatype library http://whattf.org/datatype-draft

That repo contains html5-schema.el which appears to do some nXML setup
for those datatypes. Did you try using that to configure things ?

    AndyM





Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#44874: 27.1; nXML: error when setting the xhtml5.rnc schema
Resent-From: Vincent Lefevre <vincent@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Sun, 29 Nov 2020 13:49:02 +0000
Resent-Message-ID: <handler.44874.B44874.16066577092161 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 44874
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: moreinfo
To: Lars Ingebrigtsen <larsi@HIDDEN>
Cc: 44874 <at> debbugs.gnu.org
Received: via spool by 44874-submit <at> debbugs.gnu.org id=B44874.16066577092161
          (code B ref 44874); Sun, 29 Nov 2020 13:49:02 +0000
Received: (at 44874) by debbugs.gnu.org; 29 Nov 2020 13:48:29 +0000
Received: from localhost ([127.0.0.1]:50075 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kjN40-0000Yn-N8
	for submit <at> debbugs.gnu.org; Sun, 29 Nov 2020 08:48:28 -0500
Received: from joooj.vinc17.net ([155.133.131.76]:45184)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <vincent@HIDDEN>) id 1kjN3y-0000Yd-QU
 for 44874 <at> debbugs.gnu.org; Sun, 29 Nov 2020 08:48:27 -0500
Received: from smtp-zira.vinc17.net (128.119.75.86.rev.sfr.net [86.75.119.128])
 by joooj.vinc17.net (Postfix) with ESMTPSA id 55FF2A7;
 Sun, 29 Nov 2020 14:48:25 +0100 (CET)
Received: by zira.vinc17.org (Postfix, from userid 1000)
 id F0C6CC200E4; Sun, 29 Nov 2020 14:48:24 +0100 (CET)
Date: Sun, 29 Nov 2020 14:48:24 +0100
From: Vincent Lefevre <vincent@HIDDEN>
Message-ID: <20201129134824.GH29329@HIDDEN>
References: <87r1ohmawq.fsf@HIDDEN> <87a6v4xut6.fsf@HIDDEN>
 <20201126150233.GW29329@HIDDEN> <87czzzkyqf.fsf@HIDDEN>
 <20201127085901.GZ29329@HIDDEN> <87czzwiihs.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=iso-8859-1
Content-Disposition: inline
Content-Transfer-Encoding: 8bit
In-Reply-To: <87czzwiihs.fsf@HIDDEN>
X-Mailer-Info: https://www.vinc17.net/mutt/
User-Agent: Mutt/1.14.5+76 (bb407ec3) vl-127292 (2020-06-24)
X-Spam-Score: 0.0 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On 2020-11-29 11:07:27 +0100, Lars Ingebrigtsen wrote:
> Vincent Lefevre <vincent@HIDDEN> writes:
> 
> > On 2020-11-27 09:09:12 +0100, Lars Ingebrigtsen wrote:
> >> But isn't the problem here that these .rnc files are just old and
> >> outdated, and refers to datatype libraries that no longer exists?
> >
> > No, it appears that these libraries have never existed:
> >
> >   https://web.archive.org/web/20130901000000*/http://whattf.org/datatype-draft
> >
> > says
> >
> >   Not Found
> >
> >   The requested URL /whattf/datatype-draft was not found on this server.
> 
> Well, archive.org doesn't have anything resembling a complete archive of
> the net, so that doesn't really mean that much.

The fact that archive.org isn't complete is irrelevant here. The point
is that it checked the http://whattf.org/datatype-draft URL over the
years from 2013 (probably because it was first referenced at that time)
to 2020, and each time, it got a 404 Not Found error, which explicitly
means that the document at this URL did not exist.

> In any case, this means that the .rnc files your using are invalid,
> so is this a bug in Emacs?

Since this schema was working in the past with nXML (while
http://whattf.org/datatype-draft did not exist) and was designed
for nXML, why would it be invalid?

Note: this is also referenced there:

  https://elpa.gnu.org/packages/html5-schema.html

where there is the same issue with

  https://elpa.gnu.org/packages/html5-schema-0.1.tar

(but I suppose that the .rnc files are the same).

-- 
Vincent Lefvre <vincent@HIDDEN> - Web: <https://www.vinc17.net/>
100% accessible validated (X)HTML - Blog: <https://www.vinc17.net/blog/>
Work: CR INRIA - computer arithmetic / AriC project (LIP, ENS-Lyon)




Message received at control <at> debbugs.gnu.org:


Received: (at control) by debbugs.gnu.org; 14 Dec 2020 17:14:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Dec 14 12:14:52 2020
Received: from localhost ([127.0.0.1]:54108 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1korQy-00084O-1A
	for submit <at> debbugs.gnu.org; Mon, 14 Dec 2020 12:14:52 -0500
Received: from quimby.gnus.org ([95.216.78.240]:45282)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1korQv-000847-TE
 for control <at> debbugs.gnu.org; Mon, 14 Dec 2020 12:14:50 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Subject:From:To:Message-Id:Date:Sender:Reply-To:Cc:
 MIME-Version:Content-Type:Content-Transfer-Encoding:Content-ID:
 Content-Description:Resent-Date:Resent-From:Resent-Sender:Resent-To:Resent-Cc
 :Resent-Message-ID:In-Reply-To:References:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=2ctsMVcfaHMIw1nBrbu/bxPLKPELSy8bOUiAoPjXyrw=; b=uASx6pGOXVfvTL5PcQ7BUZD++R
 XXFIaP3PTKKj+AMnUe6r6wptQoko7bypv6Ab8Na+gH+59zoY/J8Nzyw19YiwTJtNOgvA4/Ly7twud
 81xTR/tIsMrfSYtDmVk/GaC5yguASWdLEprNeXZeSR4D8QK+YTbcQpPl52hnSY/ygO5A=;
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>) id 1korQo-0004yw-Dl
 for control <at> debbugs.gnu.org; Mon, 14 Dec 2020 18:14:44 +0100
Date: Mon, 14 Dec 2020 18:14:41 +0100
Message-Id: <873608z4vy.fsf@HIDDEN>
To: control <at> debbugs.gnu.org
From: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: control message for bug #44874
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  tags 44874 - moreinfo quit 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: control
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

tags 44874 - moreinfo
quit






Last modified: Mon, 14 Dec 2020 17:30:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.